package token

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/token"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /token/third/clear token ClearTokenById
//
// Clear token by ID | 通过ID清空Token
//
// Clear token by ID | 通过ID清空Token
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: BaseMsgResp

func ClearTokenByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := token.NewClearTokenByIdLogic(r.Context(), svcCtx)
		resp, err := l.ClearTokenById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
